<script>
import config from "../../config";
import { required, email, sameAs } from "vuelidate/lib/validators";
import { authService } from "../../services";
import { error_message, success_message } from "../../Helper/helper"
/**
 * Login component
 */

export default {
  data() {
    return {
        config: config,
        error: "",
        token:this.$route.params.token || '',
        signup : {
            email: this.$route.query.email || '',
            password: '',
            confirm_password:'',

        }

    };
  },
  validations: {
    signup: {
        email: {
            required,
            email
        },
        password: {
            required,
        },
        confirm_password: {
            required,
            sameAsPassword: sameAs('password')
        },
    }
  },
  mounted(){
  },
  methods: {
    submit() {
      this.$v.signup.$touch();
      if (this.$v.signup.$invalid) {
        return;
      } else {
        this.signup.token = this.token
        authService.resetPassword(this.signup).then((responce) => {
          if (responce.data.code == 200) {
                success_message(responce.data.message);
            this.$router.push({ name: 'login' });
          }else{
            error_message(responce.data.message)
          }
        })
      }
    },
  },
};
</script>

<template>
  <div>
    <div class="account-pages my-5 pt-5">
      <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5 login-main">
                <div class="card overflow-hidden">
                  <div class="bg-soft-primary">
                    <div class="row">
                      <div class="col-12 text-center">
                        <div class=" p-4 ">
                            <h3 class="text-primary">{{ trans.get('__JSON__.Reset Password') }}</h3>
                            <p class="font-size-17">{{ trans.get('__JSON__.Re-Password with Ressto.') }}</p>
                        </div>
                      </div>
                    </div>
                  </div>
                    <div class="card-body pt-0 ">
                      <!-- <div>
                        <div class="avatar-md profile-user-wid mb-4 avatar-logo-main">
                          <span class="avatar-title rounded-circle bg-light">
                            <img :src="config.applogo" alt />
                          </span>
                        </div>
                      </div> -->
                      <b-form class="p-2 mt-4" @submit.prevent="submit">
                          <div class="alert alert-danger" v-show="this.error">{{ this.error }}</div>
                          <slot />
                          <!-- password -->
                          <b-form-group
                          id="input-group-2"
                          label-for="input-2"
                          >
                          <b-form-input
                              id="input-2"
                              v-model="$v.signup.password.$model"
                              name="password"
                              type="password"
                              :placeholder="this.trans.get('__JSON__.Password')"
                              :class="{ 'is-invalid':  $v.signup.password.$error  }"
                          ></b-form-input>
                          <div v-if="$v.signup.password.$error" class="invalid-feedback">
                              <span
                              v-if="!$v.signup.password.required"
                              >{{ trans.get('__JSON__.Please enter password')}}</span>
                          </div>
                          </b-form-group>

                          <!-- confirm password -->
                          <b-form-group
                          id="input-group-5"
                          label-for="input-5"
                          >
                          <b-form-input
                              id="input-5"
                              v-model="$v.signup.confirm_password.$model"
                              name="confirm_password"
                              type="password"
                              :placeholder="this.trans.get('__JSON__.Confirm Password')"
                              :class="{ 'is-invalid':  $v.signup.confirm_password.$error  }"
                          ></b-form-input>
                          <div v-if="$v.signup.confirm_password.$error" class="invalid-feedback">
                              <span v-if="!$v.signup.confirm_password.required">
                                  {{ trans.get('__JSON__.Please enter confirm password')}}
                              </span>
                              <span v-if="signup.confirm_password && !$v.signup.confirm_password.sameAsPassword">
                                  Password and Confirm Password should match
                              </span>
                          </div>
                          </b-form-group>

                          <div>
                              <button
                                  class="btn btn-primary btn-block"
                                  @keyup.enter="submit"
                              >{{ trans.get('__JSON__.Submit') }}</button>
                          </div>
                          <div class="mt-1">
                              <p>
                                  {{trans.get('__JSON__.Remember It ?')}} 
                                  <router-link to="/login">{{ trans.get('__JSON__.Sign In here') }}</router-link>
                              </p>
                          </div>
                      </b-form>
                    </div>
                </div>
            </div>
        </div>
      </div>
    </div>
  </div>
</template>
